com.aliyun.svideosdk.common.struct.project

## Class CaptionTrack

- java.lang.Object
- - com.aliyun.svideosdk.common.struct.project.Track
  - - com.aliyun.svideosdk.common.struct.project.PasterTrack
    - - com.aliyun.svideosdk.common.struct.project.PhotoPasterTrack
      - - com.aliyun.svideosdk.common.struct.project.CaptionTrack

-     public class CaptionTrack
      extends PhotoPasterTrack

  花字 v3.23.0 新增

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.aliyun.svideosdk.common.struct.project.PasterTrack

      `PasterTrack.Type`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `float` | `mScale` 字幕缩放值

    - ### Fields inherited from class com.aliyun.svideosdk.common.struct.project.PhotoPasterTrack

      `mNodeKey`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CaptionTrack()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static CaptionTrack` | `fromCaption(AliyunCaption aCaption)`
    `int` | `getBackgroundColor()` 获取背景颜色 v3.24.0 新增
    `float` | `getBackgroundCornerRadius()` 获取背景的圆角 v3.31.0 新增
    `Source` | `getFont()` 获取字体资源
    `Source` | `getFontEffectSource()` 获取花字资源
    `float` | `getFontSize()` 获取字体大小
    `int` | `getOutlineColor()` 获取描边颜色
    `float` | `getOutlineWidth()` 获取描边宽度，单位：像素
    `float` | `getScale()` 获取字幕缩放值
    `int` | `getShadowColor()` 设置阴影颜色
    `float` | `getShadowOffsetX()` 获取阴影X轴偏移值
    `float` | `getShadowOffsetY()` 获取阴影Y轴偏移值
    `java.lang.String` | `getText()` 获取文字内容
    `int` | `getTextAlignment()` 获取文字对齐方式 v3.24.0 新增
    `int` | `getTextColor()` 获取字体颜色
    `int` | `getTypeface()` 获取字体样式
    `void` | `setBackgroundColor(int aBackgroundColor)` 设置背景颜色 v3.24.0 新增
    `void` | `setBackgroundCornerRadius(float backgroundCornerRadius)` 设置背景的圆角 v3.31.0 新增
    `void` | `setCaption(AliyunCaption caption)`
    `void` | `setFont(Source font)` 设置字体资源
    `void` | `setFontEffectSource(Source fontEffectSource)` 设置花字资源
    `void` | `setFontSize(float fontSize)` 设置字体大小
    `void` | `setOutlineColor(int outlineColor)` 设置描边颜色
    `void` | `setOutlineWidth(float outlineWidth)` 设置描边宽度，单位：像素
    `void` | `setScale(float scale)` 设置字幕缩放值
    `void` | `setShadowColor(int shadowColor)` 获取阴影颜色
    `void` | `setShadowOffsetX(float shadowOffsetX)` 设置阴影X轴偏移值
    `void` | `setShadowOffsetY(float shadowOffsetY)` 设置阴影Y轴偏移值
    `void` | `setText(java.lang.String text)` 设置文字内容
    `void` | `setTextAlignment(int aTextAlignment)` 设置文字对齐方式 v3.24.0 新增
    `void` | `setTextColor(int textColor)` 设置字体颜色
    `void` | `setTypeface(int typeface)` 设置字体样式
    `AliyunCaption` | `toCaption()`
    `java.lang.String` | `toString()`
    `void` | `updateInfo()`

    - ### Methods inherited from class com.aliyun.svideosdk.common.struct.project.PhotoPasterTrack

      `getActions, getFrameArray, getHeight, getName, getNodeKey, getRotation, getSource, getTimeArray, getTimelineIn, getTimelineOut, getWidth, getX, getY, isMirror, setFrameArray, setHeight, setMirror, setName, setNodeKey, setRotation, setSource, setTimeArray, setTimelineIn, setTimelineOut, setWidth, setX, setY`

    - ### Methods inherited from class com.aliyun.svideosdk.common.struct.project.PasterTrack

      `getType, setType`

    - ### Methods inherited from class com.aliyun.svideosdk.common.struct.project.Track

      `getId, setId`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### mScale

          public float mScale

      字幕缩放值

  - ### Constructor Detail

    - #### CaptionTrack

          public CaptionTrack()

  - ### Method Detail

    - #### getText

          public java.lang.String getText()

      获取文字内容
      Returns:
        文字内容

    - #### setText

          public void setText(java.lang.String text)

      设置文字内容
      Parameters:
        `text` - 文字内容

    - #### getScale

          public float getScale()

      获取字幕缩放值
      Returns:
        缩放值

    - #### setScale

          public void setScale(float scale)

      设置字幕缩放值
      Parameters:
        `scale` - scale

    - #### getFontSize

          public float getFontSize()

      获取字体大小
      Returns:
        字体大小

    - #### setFontSize

          public void setFontSize(float fontSize)

      设置字体大小
      Parameters:
        `fontSize` - 字体大小

    - #### getTypeface

          public int getTypeface()

      获取字体样式
      Returns:
        字体样式

    - #### setTypeface

          public void setTypeface(int typeface)

      设置字体样式
      Parameters:
        `typeface` - 字体样式

    - #### getTextColor

          public int getTextColor()

      获取字体颜色
      Returns:
        字体颜色

    - #### setTextColor

          public void setTextColor(int textColor)

      设置字体颜色
      Parameters:
        `fontColor` - 字体颜色

    - #### getOutlineColor

          public int getOutlineColor()

      获取描边颜色
      Returns:
        描边颜色

    - #### setOutlineColor

          public void setOutlineColor(int outlineColor)

      设置描边颜色
      Parameters:
        `outlineColor` - 描边颜色

    - #### getOutlineWidth

          public float getOutlineWidth()

      获取描边宽度，单位：像素
      Returns:
        描边宽度

    - #### setOutlineWidth

          public void setOutlineWidth(float outlineWidth)

      设置描边宽度，单位：像素
      Parameters:
        `outlineWidth` - 描边宽度

    - #### getShadowColor

          public int getShadowColor()

      设置阴影颜色
      Returns:
        阴影颜色

    - #### setShadowColor

          public void setShadowColor(int shadowColor)

      获取阴影颜色
      Parameters:
        `shadowColor` - 阴影颜色

    - #### getShadowOffsetX

          public float getShadowOffsetX()

      获取阴影X轴偏移值
      Returns:
        X轴偏移值

    - #### setShadowOffsetX

          public void setShadowOffsetX(float shadowOffsetX)

      设置阴影X轴偏移值
      Parameters:
        `shadowOffsetX` - X轴偏移值

    - #### getShadowOffsetY

          public float getShadowOffsetY()

      获取阴影Y轴偏移值
      Returns:
        Y轴偏移值

    - #### setShadowOffsetY

          public void setShadowOffsetY(float shadowOffsetY)

      设置阴影Y轴偏移值
      Parameters:
        `shadowOffsetY` - Y轴偏移值

    - #### getFont

          public Source getFont()

      获取字体资源
      Returns:
        字体资源

    - #### setFont

          public void setFont(Source font)

      设置字体资源
      Parameters:
        `font` - 字体资源

    - #### getFontEffectSource

          public Source getFontEffectSource()

      获取花字资源
      Returns:
        花字资源

    - #### getTextAlignment

          public int getTextAlignment()

      获取文字对齐方式 v3.24.0 新增
      Returns:
        对齐方式

    - #### setTextAlignment

          public void setTextAlignment(int aTextAlignment)

      设置文字对齐方式 v3.24.0 新增
      Parameters:
        `aTextAlignment` - 对齐方式

    - #### getBackgroundColor

          public int getBackgroundColor()

      获取背景颜色 v3.24.0 新增
      Returns:
        背景颜色

    - #### setBackgroundColor

          public void setBackgroundColor(int aBackgroundColor)

      设置背景颜色 v3.24.0 新增
      Parameters:
        `aBackgroundColor` - 背景颜色

    - #### getBackgroundCornerRadius

          public float getBackgroundCornerRadius()

      获取背景的圆角 v3.31.0 新增
      Returns:
        背景颜色

    - #### setBackgroundCornerRadius

          public void setBackgroundCornerRadius(float backgroundCornerRadius)

      设置背景的圆角 v3.31.0 新增
      Parameters:
        `backgroundCornerRadius` - 圆角

    - #### setFontEffectSource

          public void setFontEffectSource(Source fontEffectSource)

      设置花字资源
      Parameters:
        `fontEffect` - 花字资源

    - #### setCaption

          public void setCaption(AliyunCaption caption)

    - #### updateInfo

          public void updateInfo()

    - #### fromCaption

          public static CaptionTrack fromCaption(AliyunCaption aCaption)

    - #### toCaption

          public AliyunCaption toCaption()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `PhotoPasterTrack`